Subject: [Lime] Adoption call for draft-deepak-trill-yang-pm (12/15/2014 to 12/30/2014)

From: "Susan Hares" <[email-masked]>
Date: Mon, 15 Dec 2014 23:05:38 -0500

This begins a 2 week WG adoption call for draft-deepak-trill-yang-pm-00
which can be found at:

http://datatracker.ietf.org/doc/draft-deepak-trill-yang-pm/

This draft will be reviewed along with other yang modules at the 12/17/2014
interim of trill held from 9-10pm ET (6-7pm PT, 10-11am Beijing on
12/18/2014).  In your review, please indicate the following:  a) if this
yang module provides information necessary to manage or monitor TRILL, and
b) if you support adoption this work into the TRILL WG.

Sue Hares and Jon Hudson

Co-chairs

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 16 Dec 2014 15:03:13 +0000

Sue, Jon,

I have a few concerns with this document:

  *   The Abstract says “It extends Yang Data Model for TRILL OAM [TRILLOAMYANG]”, however, [TRILLOAMYANG] is listed as an Informative reference — I believe it should be Normative (all the definitions are coming from it, and this doc extends that model)
     *   It seems the same issue exists with draft-ietf-trill-yang-oam and [GENYANGOAM], which should be Normative there.
     *   By the way, a nit as well (the Abstract includes citations).
  *   Ditto for [GENYANGOAM], as the text says “In this document we extend the YANG model defined in [GENYANGOAM]”
  *   There’s a non-insignificant set of Nits which frankly should be taken care of before this call for adoption (see http://www.ietf.org/tools/idnits?url=http://www.ietf.org/archive/id/draft-deepak-trill-yang-pm-00.txt)
     *   This severely detracts from readability.

I believe these are blocking for adoption.

Thanks,

Carlos.

On Dec 15, 2014, at 11:05 PM, Susan Hares <[email-masked]<mailto:[email-masked]>> wrote:

This begins a 2 week WG adoption call for draft-deepak-trill-yang-pm-00 which can be found at:

This draft will be reviewed along with other yang modules at the 12/17/2014 interim of trill held from 9-10pm ET (6-7pm PT, 10-11am Beijing on 12/18/2014).  In your review, please indicate the following:  a) if this yang module provides information necessary to manage or monitor TRILL, and b) if you support adoption this work into the TRILL WG.

Sue Hares and Jon Hudson
Co-chairs

_______________________________________________
Lime mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lime

---

From: "Deepak Kumar (dekumar)" <[email-masked]>
Date: Tue, 16 Dec 2014 16:15:51 +0000

Thanks for comments. I will fix them and submit new version of draft for review.

Thanks,
Deepak

From: "Carlos Pignataro (cpignata)" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, December 16, 2014 7:03 AM
To: Susan Hares <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Lime] Adoption call for draft-deepak-trill-yang-pm (12/15/2014 to 12/30/2014)

Sue, Jon,

Thanks,

Carlos.

Sue Hares and Jon Hudson
Co-chairs

---

From: Qin Wu <[email-masked]>
Date: Wed, 17 Dec 2014 08:36:26 +0000

Agree with Carlos, it is process issue. Usually a I-D will not be adopted until all the normative referenced drafts get proceeded.

Regards!
-Qin
发件人: Lime [mailto:[email-masked]] 代表 Carlos Pignataro (cpignata)
发送时间: 2014年12月16日 23:03
收件人: Susan Hares
抄送: Donald Eastlake; [email-masked]; [email-masked]; [email-masked]
主题: Re: [Lime] Adoption call for draft-deepak-trill-yang-pm (12/15/2014 to 12/30/2014)

Sue, Jon,

Thanks,

Carlos.

Sue Hares and Jon Hudson
Co-chairs

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Wed, 17 Dec 2014 17:46:15 +0000

Hi Donald,

Thanks for the follow-up. Just for clarity, I did not scream “process!”.

I had two main points in my quick review — 1. that key references that should be Normative are Informative, and 2. that there is a large number of idnits (3 errors, 19 warnings), which severely impact readability and understanding of links to other pieces of work.

At the time of WG call for adoption, I do think it’s important to understand dependencies and normative ongoing work, to make an adoption determination, and therefore I believe it to be important to fix these before adoption. And FWIW I disagree this is a “process issue” and the other comment about sequentiality of adoption.

Hope these help,

Carlos.

On Dec 17, 2014, at 12:04 PM, Donald Eastlake <[email-masked]<mailto:[email-masked]>> wrote:

Hi Carlos and Qin,

Thanks, Carlos, for reviewing and commenting on this draft. I'm sure your comments will help improve the draft.

However, I do not agree on the process points. It is important to distinguish between adopting a draft, that is taking a personal draft under the control of its authors and making it a Working Group draft under the control of the Working Group, and the final Working Group consensus determination (usually involving a WG Last Call) to request RFC publication of a draft.

More polished drafts are obviously better than drafts with lots of nits, references incorrectly categorized are Normative or Informative, and the like, That sort of thing needs to be fixed before RFC publication is requested, but I do not think it has to be fixed before adopting the draft. A draft can be adopted by a Working Group even if there are much worse problems in the draft, such as serious technical flaws or inconsistencies, as long as the Working Group thinks it is a plausible starting point to work from. Just adopting the draft is not a guarantee that there will later be Working Group consensus to request RFC publication. Of course, you would expect a draft to be improved after it has been adopted and before RFC publication is requested.

The normative references process point is a bit less clear cut. It is very common for drafts to be fully approved all the way through being in the RFC Editor's queue despite normative dependencies on other drafts that are at a much earlier stage in the process. If you go to
http://www.rfc-editor.org/queue2.html
and search for "MISSREF" you will find many fully approved drafts whose publication is being held up by normative references to other drafts that are not yet approved (or, in some cases, held up by a normative reference to an approved draft that in turn normatively references anther draft that is not yet approved or even longer normative reference chains with the last draft in the chain not approved). The TRILL WG has frequently approved drafts with one or more normative dependencies that had not yet been approved. On the other hand, if the Working Group feels it is appropriate to delay, it certainly can hold up on requesting publication of a draft until it is satisfied with the status of normative references from that draft.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]<mailto:[email-masked]>

On Wed, Dec 17, 2014 at 3:36 AM, Qin Wu <[email-masked]<mailto:[email-masked]>> wrote:
Agree with Carlos, it is process issue. Usually a I-D will not be adopted until all the normative referenced drafts get proceeded.

Regards!
-Qin
发件人: Lime [mailto:[email-masked]<mailto:[email-masked]>] 代表 Carlos Pignataro (cpignata)
发送时间: 2014年12月16日 23:03
收件人: Susan Hares
抄送: Donald Eastlake; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
主题: Re: [Lime] Adoption call for draft-deepak-trill-yang-pm (12/15/2014 to 12/30/2014)

Sue, Jon,

Thanks,

Carlos.

Sue Hares and Jon Hudson
Co-chairs

---

From: Donald Eastlake <[email-masked]>
Date: Wed, 17 Dec 2014 12:04:50 -0500

Hi Carlos and Qin,

Thanks, Carlos, for reviewing and commenting on this draft. I'm sure your
comments will help improve the draft.

However, I do not agree on the process points. It is important to
distinguish between adopting a draft, that is taking a personal draft under
the control of its authors and making it a Working Group draft under the
control of the Working Group, and the final Working Group consensus
determination (usually involving a WG Last Call) to request RFC publication
of a draft.

More polished drafts are obviously better than drafts with lots of nits,
references incorrectly categorized are Normative or Informative, and the
like, That sort of thing needs to be fixed before RFC publication is
requested, but I do not think it has to be fixed before adopting the draft.
A draft can be adopted by a Working Group even if there are much worse
problems in the draft, such as serious technical flaws or inconsistencies,
as long as the Working Group thinks it is a plausible starting point to
work from. Just adopting the draft is not a guarantee that there will later
be Working Group consensus to request RFC publication. Of course, you would
expect a draft to be improved after it has been adopted and before RFC
publication is requested.

The normative references process point is a bit less clear cut. It is very
common for drafts to be fully approved all the way through being in the RFC
Editor's queue despite normative dependencies on other drafts that are at a
much earlier stage in the process. If you go to
http://www.rfc-editor.org/queue2.html
and search for "MISSREF" you will find many fully approved drafts whose
publication is being held up by normative references to other drafts that
are not yet approved (or, in some cases, held up by a normative reference
to an approved draft that in turn normatively references anther draft that
is not yet approved or even longer normative reference chains with the last
draft in the chain not approved). The TRILL WG has frequently approved
drafts with one or more normative dependencies that had not yet been
approved. On the other hand, if the Working Group feels it is appropriate
to delay, it certainly can hold up on requesting publication of a draft
until it is satisfied with the status of normative references from that
draft.

Thanks,
Donald
 [email-masked]

On Wed, Dec 17, 2014 at 3:36 AM, Qin Wu <[email-masked]> wrote:
>
>  Agree with Carlos, it is process issue. Usually a I-D will not be
> adopted until all the normative referenced drafts get proceeded.
>
>
>
> Regards!
>
> -Qin
>
> *发件人:* Lime [mailto:[email-masked]] *代表 *Carlos Pignataro
> (cpignata)
> *发送时间:* 2014年12月16日 23:03
> *收件人:* Susan Hares
> *抄送:* Donald Eastlake; [email-masked]; [email-masked]; [email-masked]
> *主题:* Re: [Lime] Adoption call for draft-deepak-trill-yang-pm (12/15/2014
> to 12/30/2014)
>
>
>
> Sue, Jon,
>
>
>
>    - The Abstract says “It extends Yang Data Model for TRILL OAM
>    [TRILLOAMYANG]”, however, [TRILLOAMYANG] is listed as an Informative
>    reference — I believe it should be Normative (all the definitions are
>    coming from it, and this doc extends that model)
>
>
>     - It seems the same issue exists with draft-ietf-trill-yang-oam
>       and [GENYANGOAM], which should be Normative there.
>       - By the way, a nit as well (the Abstract includes citations).
>
>
>    - Ditto for [GENYANGOAM], as the text says “In this document we extend
>    the YANG model defined in [GENYANGOAM]”
>    - There’s a non-insignificant set of Nits which frankly should be
>    taken care of before this call for adoption (see
>    http://www.ietf.org/tools/idnits?url=http://www.ietf.org/archive/id/draft-deepak-trill-yang-pm-00.txt)
>
>
>
>     - This severely detracts from readability.
>
>
>
>  On Dec 15, 2014, at 11:05 PM, Susan Hares <[email-masked]> wrote:
>
>
>
> This draft will be reviewed along with other yang modules at the
> 12/17/2014 interim of trill held from 9-10pm ET (6-7pm PT, 10-11am Beijing
> on 12/18/2014).  In your review, please indicate the following:  a) if this
> yang module provides information necessary to manage or monitor *TRILL*,
> and b) if you support adoption this work into the TRILL WG.
>
>
>
> Sue Hares and Jon Hudson
>
> Co-chairs
>
>
>
>
>
> [email-masked]

---

From: Donald Eastlake <[email-masked]>
Date: Wed, 17 Dec 2014 15:55:42 -0500

Hi Carlos,

> Thanks for the follow-up. Just for clarity, I did not scream “process!”.

Sorry if I misinterpreted you message. I guess it was Qin Wu who said
"it is process issue...".

> I had two main points in my quick review — 1. that key references that
> should be Normative are Informative, and 2. that there is a large number of
> idnits (3 errors, 19 warnings), which severely impact readability and
> understanding of links to other pieces of work.
>
> At the time of WG call for adoption, I do think it’s important to understand
> dependencies and normative ongoing work, to make an adoption determination,
> and therefore I believe it to be important to fix these before adoption. And
> FWIW I disagree this is a “process issue” and the other comment about
> sequentiality of adoption.

I guess I still disagree with you, although somewhat weakly. A draft
can evolve quite a bit from the version adopted to a later version
that is approved so, for example, dependencies can change and, in any
case, at this stage I would depend more on my judgement based on the
draft text than on how the reference was classified by the authors.
(From my point of view, it was not that long ago in the IETF that
references in drafts ad RFCs were just a single list without the
current Normative/Informational classification.) Perhaps it just
depends on the particular draft and situation and reasonable people
could come to different conclusions.

In any case, it seems like these defects in the draft will be fixed
pretty quickly.

Thanks,
Donald

> Hope these help,
>
> Carlos.
>
> On Dec 17, 2014, at 12:04 PM, Donald Eastlake <[email-masked]> wrote:
>
> Hi Carlos and Qin,
>
> as long as the Working Group thinks it is a plausible starting point to work
> from. Just adopting the draft is not a guarantee that there will later be
> Working Group consensus to request RFC publication. Of course, you would
> are not yet approved (or, in some cases, held up by a normative reference to
> an approved draft that in turn normatively references anther draft that is
> not yet approved or even longer normative reference chains with the last
> approved. On the other hand, if the Working Group feels it is appropriate to
> delay, it certainly can hold up on requesting publication of a draft until
> it is satisfied with the status of normative references from that draft.
>
> Thanks,
> Donald
>> Agree with Carlos, it is process issue. Usually a I-D will not be adopted
>> until all the normative referenced drafts get proceeded.
>>
>>
>>
>> Regards!
>>
>> -Qin
>>
>> The Abstract says “It extends Yang Data Model for TRILL OAM
>> reference — I believe it should be Normative (all the definitions are coming
>> from it, and this doc extends that model)
>>
>> It seems the same issue exists with draft-ietf-trill-yang-oam and
>> [GENYANGOAM], which should be Normative there.
>> By the way, a nit as well (the Abstract includes citations).
>>
>> Ditto for [GENYANGOAM], as the text says “In this document we extend the
>> YANG model defined in [GENYANGOAM]”
>> There’s a non-insignificant set of Nits which frankly should be taken care
>> of before this call for adoption (see
>> This severely detracts from readability.
>>
>>
>>

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Wed, 17 Dec 2014 21:17:08 +0000

Donald,

I do not disagree with your view as a general statement. However, the specifics of this draft and its adoption call paint a more precise picture. Like you say, it does depend on the particular draft and situation. 

The second sentence (out of two sentences) in the Abstract say that this draft extends the model of a separate (requisite) draft with some specifics. That seems almost the definition of a draft "that must be read to understand or implement the technology". 

That's what I tried to convey in my initial email, apologies if I was not clear. And indeed, all easily fixable. 

Thumb typed by Carlos Pignataro.
Excuze typofraphicak errows

> On Dec 17, 2014, at 2:56 PM, Donald Eastlake <[email-masked]> wrote:
> 
> Hi Carlos,
> 
>> I had two main points in my quick review ― 1. that key references that
>>> reference ― I believe it should be Normative (all the definitions are coming

---

From: Qin Wu <[email-masked]>
Date: Thu, 18 Dec 2014 10:27:30 +0000

I am fine if you guys think the process is not issue.
But it looks more than normative reference dependency issue becos the normative referenced draft is also used as a basis for this draft.
I am not sure I make a fuss about it. Don’t you think it is strange the extension draft has been adopted without the base draft ready?
Maybe I am wrong.

Regards!
-Qin
发件人: Donald Eastlake [mailto:[email-masked]]
发送时间: 2014年12月18日 1:05
收件人: Carlos Pignataro (cpignata); Qin Wu
抄送: [email-masked]; [email-masked]
主题: Re: [Lime] Adoption call for draft-deepak-trill-yang-pm (12/15/2014 to 12/30/2014)

Hi Carlos and Qin,

Thanks,
Donald

Regards!
-Qin

Sue, Jon,

Thanks,

Carlos.

Sue Hares and Jon Hudson
Co-chairs

---

From: Qin Wu <[email-masked]>
Date: Mon, 22 Dec 2014 06:57:45 +0000

Hi, Deepak:
Additional comments from my side:

1.       Abstract
The reference [TRILLOAMPM] doesn’t exist, suggest to remove it or reference to RFC7174.

2.       Abstract

Is this model a extension to TRILL OAM YANG model or Generic YANG model provided by [GENYANGOAM]?

3.       Introduction section, last paragraph said the model is defined by defining the YANG model in [GENYANGOAM], the abstract said

This model defined in this document extends from TRILL OAM YANG model, which one is correct, please make sure the consistency between texts in different places.

4.       Introduction section

This reference [TRILLOAMFM] is outdated, are you referred to RFC7174? Also this referenced is missed in the references section.
The [TRILLOAMPM] doesn’t exist

5.       Section 4.4

How is grouping statements in the second paragraph are related to rpc command? It seems the second paragraph in the section 4.4 is disconnected from the first paragraph and the last paragraph?

6.       Section 4 said, the 1st paragraph said:

“

TRILL OAM PM Yang is extended to augment MEP Configuration with

Performance Management configuration and statistics for Delay

Measurement and Performance Measurement.

”

What is extended? TRILL OAM PM YANG or TRILL OAM YANG?

7. Section 4 TRILL PM data hierarchy

The section number should be section 5.

Regards!
-Qin
发件人: Lime [mailto:[email-masked]] 代表 Deepak Kumar (dekumar)
发送时间: 2014年12月17日 0:16
收件人: Carlos Pignataro (cpignata); Susan Hares
抄送: Donald Eastlake; [email-masked]; [email-masked]; [email-masked]
主题: Re: [Lime] Adoption call for draft-deepak-trill-yang-pm (12/15/2014 to 12/30/2014)

Thanks,
Deepak

Sue, Jon,

  *   The Abstract says “It extends Yang Data Model for TRILL OAM [TRILLOAMYANG]”, however, [TRILLOAMYANG] is listed as an Informative reference ― I believe it should be Normative (all the definitions are coming from it, and this doc extends that model)

Thanks,

Carlos.

Sue Hares and Jon Hudson
Co-chairs